package com.ruoyi.dxp.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dxp.domain.DataItem;

/**
 * 数据字段Service接口
 * 
 * @author jy
 * @date 2022-11-12
 */
public interface IDataItemService 
{
    /**
     * 查询数据字段
     * 
     * @param id 数据字段主键
     * @return 数据字段
     */
    public DataItem selectDataItemById(Long id);

    /**
     * 查询数据字段列表
     * 
     * @param dataItem 数据字段
     * @return 数据字段集合
     */
    public List<DataItem> selectDataItemList(DataItem dataItem);

    /**
     * 新增数据字段
     * 
     * @param dataItem 数据字段
     * @return 结果
     */
    public int insertDataItem(DataItem dataItem);

    /**
     * 修改数据字段
     * 
     * @param dataItem 数据字段
     * @return 结果
     */
    public int updateDataItem(DataItem dataItem);

    /**
     * 批量删除数据字段
     * 
     * @param ids 需要删除的数据字段主键集合
     * @return 结果
     */
    public int deleteDataItemByIds(Long[] ids);

    /**
     * 删除数据字段信息
     * 
     * @param id 数据字段主键
     * @return 结果
     */
    public int deleteDataItemById(Long id);

    /**
     * 通过数据类型和数据id删除数据项
     * @param dataType 数据类型
     * @param dataId 数据id
     */
    public void deleteDataItemByTypeAndDataId(String dataType, Long dataId);
}
